NX Open C++ Reference Guide
|
Represents a Tooling::LayoutRepositionBuilder builder <br> To create a new instance of this class, use @link Tooling::MWLayoutCollection::CreateLayoutRepositionBuilder Tooling::MWLayoutCollection::CreateLayoutRepositionBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Method { MethodRotate, MethodTransform, MethodPointToPoint } |
Represents the type of layout transform. More... | |
enum | Type { TypeMove, TypeCopy } |
Represents the method of layout transform. More... | |
Public Member Functions | |
NXOpen::Expression * | DimX () |
Returns the distance dimension in X-axis Created in NX6.0.0. | |
NXOpen::Expression * | DimY () |
Returns the distance dimension in Y-axis Created in NX6.0.0. | |
NXOpen::Point * | PointFrom () |
Returns the transform start point Created in NX6.0.0. | |
NXOpen::Point * | PointTo () |
Returns the transform end point Created in NX6.0.0. | |
NXOpen::Tooling::LayoutRepositionBuilder::Method | RepositionMethod () |
Returns the reposition method Created in NX6.0.0. | |
NXOpen::Tooling::LayoutRepositionBuilder::Type | RepositionType () |
Returns the reposition type Created in NX6.0.0. | |
NXOpen::Expression * | RotateAngle () |
Returns the rotate angle Created in NX6.0.0. | |
NXOpen::Point * | RotatePoint () |
Returns the rotate point Created in NX6.0.0. | |
NXOpen::SelectBodyList * | SelectInstance () |
Returns the select instance Created in NX6.0.0. | |
void | SetPointFrom (NXOpen::Point *pointFrom) |
Sets the transform start point Created in NX6.0.0. | |
void | SetPointTo (NXOpen::Point *pointTo) |
Sets the transform end point Created in NX6.0.0. | |
void | SetRepositionMethod (NXOpen::Tooling::LayoutRepositionBuilder::Method enumRepositionmethod) |
Sets the reposition method Created in NX6.0.0. | |
void | SetRepositionType (NXOpen::Tooling::LayoutRepositionBuilder::Type enumRepositiontype) |
Sets the reposition type Created in NX6.0.0. | |
void | SetRotatePoint (NXOpen::Point *rotatePoint) |
Sets the rotate point Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::LayoutRepositionBuilder builder <br> To create a new instance of this class, use @link Tooling::MWLayoutCollection::CreateLayoutRepositionBuilder Tooling::MWLayoutCollection::CreateLayoutRepositionBuilder @endlink <br>
Default values.
Property | Value |
---|---|
DimX.Value |
0 (millimeters part), 0 (inches part) |
DimY.Value |
0 (millimeters part), 0 (inches part) |
RepositionType |
Move |
RotateAngle.Value |
180 |
Created in NX6.0.0.
NXOpen::Expression* NXOpen::Tooling::LayoutRepositionBuilder::DimX | ( | ) |
Returns the distance dimension in X-axis
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::LayoutRepositionBuilder::DimY | ( | ) |
Returns the distance dimension in Y-axis
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::LayoutRepositionBuilder::PointFrom | ( | ) |
Returns the transform start point
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::LayoutRepositionBuilder::PointTo | ( | ) |
Returns the transform end point
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::LayoutRepositionBuilder::Method NXOpen::Tooling::LayoutRepositionBuilder::RepositionMethod | ( | ) |
Returns the reposition method
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::LayoutRepositionBuilder::Type NXOpen::Tooling::LayoutRepositionBuilder::RepositionType | ( | ) |
Returns the reposition type
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::LayoutRepositionBuilder::RotateAngle | ( | ) |
Returns the rotate angle
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::LayoutRepositionBuilder::RotatePoint | ( | ) |
Returns the rotate point
Created in NX6.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::LayoutRepositionBuilder::SelectInstance | ( | ) |
Returns the select instance
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::LayoutRepositionBuilder::SetPointFrom | ( | NXOpen::Point * | pointFrom | ) |
Sets the transform start point
Created in NX6.0.0.
License requirements : None
pointFrom | pointfrom |
void NXOpen::Tooling::LayoutRepositionBuilder::SetPointTo | ( | NXOpen::Point * | pointTo | ) |
Sets the transform end point
Created in NX6.0.0.
License requirements : None
pointTo | pointto |
void NXOpen::Tooling::LayoutRepositionBuilder::SetRepositionMethod | ( | NXOpen::Tooling::LayoutRepositionBuilder::Method | enumRepositionmethod | ) |
Sets the reposition method
Created in NX6.0.0.
License requirements : None
enumRepositionmethod | enumrepositionmethod |
void NXOpen::Tooling::LayoutRepositionBuilder::SetRepositionType | ( | NXOpen::Tooling::LayoutRepositionBuilder::Type | enumRepositiontype | ) |
Sets the reposition type
Created in NX6.0.0.
License requirements : None
enumRepositiontype | enumrepositiontype |
void NXOpen::Tooling::LayoutRepositionBuilder::SetRotatePoint | ( | NXOpen::Point * | rotatePoint | ) |
Sets the rotate point
Created in NX6.0.0.
License requirements : None
rotatePoint | rotatepoint |